Package twisted :: Package python :: Module formmethod :: Class Argument

[frames | no frames]

## Class Argument

Known Subclasses:
  `Boolean`, `Choice`, `Date`, `File`, `Flags`, `Float`, `Integer`, `String`

Base class for form arguments.

Method Summary
| `__init__(self, name, default, shortDesc, longDesc, hints, allowNone)`
| `addHints(self, **kwargs)`
| ``coerce`(self, val)` Convert the value to the correct format.
| `getHint(self, name, default)`
| `getLongDescription(self)`
| `getShortDescription(self)`

Class Variable Summary
`NoneType` | `defaultDefault` = None

Method Details

### coerce(self, val)

Convert the value to the correct format.

Class Variable Details

### defaultDefault

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:08 2004 | http://epydoc.sf.net